com.io7m.r2.core

## Class R2DepthVarianceRenderer

- java.lang.Object
- - com.io7m.r2.core.R2DepthVarianceRenderer

- All Implemented Interfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType, R2DepthVarianceRendererType

      public final class R2DepthVarianceRenderer
      extends Object
      implements R2DepthVarianceRendererType

  The default implementation of the `R2DepthRendererType` interface.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g3)` Delete the current object.
    `boolean` | `isDeleted()`
    `static R2DepthVarianceRendererType` | `newRenderer(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type in_g)` Construct a new renderer.
    `void` | `renderDepthVariance(R2DepthVarianceBufferUsableType dbuffer, com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc, R2MatricesObserverType m, R2DepthInstancesType s)` Render the given opaque instances into the given depth buffer.
    `void` | `renderDepthVarianceWithBoundBuffer(com.io7m.jareas.core.AreaInclusiveUnsignedLType area, com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc, R2MatricesObserverType m, R2DepthInstancesType s)` Render the given opaque instances into the currently bound depth buffer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newRenderer

          public static R2DepthVarianceRendererType newRenderer(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type in_g)

      Construct a new renderer.
      Parameters:
        `in_g` - An OpenGL interface
      Returns:
        A new renderer

    - #### delete

          public void delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g3)
                      throws R2Exception

      Description copied from interface: `R2DeletableType`
      Delete the current object.
      Specified by:
        `delete` in interface `R2DeletableType`
      Parameters:
        `g3` - An OpenGL interface
      Throws:
        `R2Exception` - On errors

    - #### isDeleted

          public boolean isDeleted()

      Specified by:
        `isDeleted` in interface `com.io7m.jcanephora.core.JCGLResourceUsableType`

    - #### renderDepthVariance

          public void renderDepthVariance(R2DepthVarianceBufferUsableType dbuffer,
                                          com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc,
                                          R2MatricesObserverType m,
                                          R2DepthInstancesType s)

      Description copied from interface: `R2DepthVarianceRendererType`
      Render the given opaque instances into the given depth buffer.
      Specified by:
        `renderDepthVariance` in interface `R2DepthVarianceRendererType`
      Parameters:
        `dbuffer` - The depth buffer
        `uc` - A texture unit context
        `m` - A matrix context
        `s` - The depth instances

    - #### renderDepthVarianceWithBoundBuffer

          public void renderDepthVarianceWithBoundBuffer(com.io7m.jareas.core.AreaInclusiveUnsignedLType area,
                                                         com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc,
                                                         R2MatricesObserverType m,
                                                         R2DepthInstancesType s)

      Description copied from interface: `R2DepthVarianceRendererType`
      Render the given opaque instances into the currently bound depth buffer.
      Specified by:
        `renderDepthVarianceWithBoundBuffer` in interface `R2DepthVarianceRendererType`
      Parameters:
        `area` - The current viewport
        `uc` - A texture unit context
        `m` - A matrix context
        `s` - The depth instances

Copyright © 2016 <code@io7m.com> http://io7m.com